#include <prcore/prcore.hpp>

using namespace prcore;

// it would be friggin cool if my joystick (or I'm guessing gameport)
// would be supported under linux :)

// I'm guessing its because I have a Yamaha XG (cheap) sound card...
// although I hear that on board gameports on say the live work

// can anyone email me about that?

// see /usr/src/linux/Documentation/joystick-api.txt for implementation
// information

Joystick::Joystick(WinHandle handle, int index)
{
  //  int fd = open("/dev/js0", O_RDONLY);
}

Joystick::~Joystick()
{
}

int Joystick::NumAxis() const
{
  return 0;
}

int Joystick::NumButton() const
{
  return 0;
}
float Joystick::GetAxis(int i)
{
  return 0.f;
}

bool Joystick::GetButton(int code)
{
  return false;
}
int Joystick::GetJoystickCount()
{
  return 0;
}

const char *Joystick::GetJoystickName(int index)
{
  return NULL;
}



